package com.its.bis.api.service;

import com.its.bis.api.dto.AgipObeLoc;
import com.its.bis.service.BisAgipService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

@Slf4j
@RequiredArgsConstructor
@Service
public class AgipControlService {

    private final BisAgipService service;

    public void add(AgipObeLoc bisLoc) {
        bisLoc.setRcvNanoSeconds(System.nanoTime());
        this.service.add(bisLoc);
    }
}
